## com.puppycrawl.tools.checkstyle.checks.sizes
Class OuterTypeNumberCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.sizes.OuterTypeNumberCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class OuterTypeNumberCheck

extends Check

Checks for the number of defined types at the "outer" level.

Author:
  oliverb

Constructor Summary
`OuterTypeNumberCheck()`

Method Summary
`void` `beginTree(DetailAST aAst)` Called before the starting to process a tree.
`void` `finishTree(DetailAST aAst)` Called after finished processing a tree.
`int[]` `getDefaultTokens()` Returns the default token a check is interested in.
`void` `leaveToken(DetailAST aAst)` Called after all the child nodes have been process.
`void` `setMax(int aTo)` Sets the maximum allowed number of outer types.
`void` `visitToken(DetailAST aAst)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`destroy, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getCustomMessages, getId, getMessageBundle, getSeverity, getSeverityLevel, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OuterTypeNumberCheck

    public OuterTypeNumberCheck()

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Description copied from class: `Check`
  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### beginTree

    public void beginTree(DetailAST aAst)

  Description copied from class: `Check`
  Called before the starting to process a tree. Ideal place to initialise information that is to be collected whilst processing a tree.

  Overrides:
    `beginTree` in class `Check`
  Parameters:
    `aAst` - the root of the tree

### finishTree

    public void finishTree(DetailAST aAst)

  Description copied from class: `Check`
  Called after finished processing a tree. Ideal place to report on information collected whilst processing a tree.

  Overrides:
    `finishTree` in class `Check`
  Parameters:
    `aAst` - the root of the tree

### visitToken

    public void visitToken(DetailAST aAst)

  Description copied from class: `Check`
  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAst` - the token to process

### leaveToken

    public void leaveToken(DetailAST aAst)

  Description copied from class: `Check`
  Called after all the child nodes have been process.

  Overrides:
    `leaveToken` in class `Check`
  Parameters:
    `aAst` - the token leaving

### setMax

    public void setMax(int aTo)

  Sets the maximum allowed number of outer types.

  Parameters:
    `aTo` - the new number.

Copyright © 2001-2011. All Rights Reserved.